function kstar = bisection(FUN,a,b,param);

[k1 dist] = feval(FUN,a,param);
fa = a - k1;
fprintf('Bisection: \t a = %3.8f \t fa = %3.8f \n', [a fa]);

[k1 dist] = feval(FUN,b,param);
fb = b - k1;
fprintf('Bisection: \t b = %3.8f \t fb = %3.8f \n', [b fb]);

diff = 1;
convcrit = 10^-5;

while diff > convcrit
    c = (a+b)/2;
    [k1 dist] = feval(FUN,c,param);
    fc = c - k1;
    fprintf('Bisection: \t c = %3.8f \t fc = %3.8f \n', [c fc]);
    if fc*fa < 0
        b  = c;
        fb = fc;
    else
        a  = c;
        fa = fc;
    end
    diff = abs(fc);
end

return