% Solving an Aiyagari model economy
% by Espen Henriksen

clear all;   % clears all variables from the memory
close all;   % closes all figures
tic  % starts the "stop watch"

alpha = .35;
delta = .025;
gamma = 5;
beta    =  .98;  
sigma   = 2;

Pi = [.98 .02
      .40 .60];

dim = 2;     % Number of values the exogenous state variable might take
ag  = 51;    % Number of grid points for both the control var and state var k
alow  = 220;
ahigh = 450;
agrid = linspace(alow,ahigh,ag)';

param = [Pi(:,1)' Pi(:,2)' alpha delta gamma beta sigma dim ag alow ahigh]';

%kstar  = bisection('aiyagari',100,600,param);
kstar = newton('aiyagari',100,param);

[k1,dist] = aiyagari(kstar,param);

plot(agrid,dist);

tmp = Pi^10000;
tmp = tmp(2,2);
figure;plot(agrid,dist(:,2)/tmp)
print -depsc2 dist_cond_u.eps