function kstar = newton(FUN,k0,param);

h = 10^-7;

fprintf('Newton: \t k0 = %3.8f  \n', [k0]);

diff = 1;
convcrit = 10^-6;
while diff > convcrit
    fk0  = k0 - feval(FUN,k0,param);
    fk0plush = (k0+h) - feval(FUN,k0+h,param);
    fk0minh  = (k0-h) - feval(FUN,k0-h,param);
    dfk0 = 1/(2*h)*(fk0plush - fk0minh);

    k1 = k0 - fk0/dfk0;

    diff = abs(k0 - k1);
    fprintf('Newton: \t k1 = %3.8f \t diff = %3.8f \n', [k1 diff]);
    k0 = k1;
end

kstar = k1;

return